Bug 100601 - gls admin "god" power
gls admin "god" power
Status: CLOSED CURRENTRELEASE
Product: Red Hat Academy
Classification: Retired
Component: Web Application (Show other bugs)
9
All Linux
high Severity medium
: ---
: ---
Assigned To: Luke Meyer
Bowe Strickland
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-23 13:09 EDT by Luke Meyer
Modified: 2007-03-27 00:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-26 11:26:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Meyer 2003-07-23 13:09:25 EDT
Need to create a way for designated GLS admins to "become" a manager,
instructor, student in order to see things as they do.
Comment 1 Luke Meyer 2003-08-13 17:15:35 EDT
This was kind of a fun hack (albeit rather wide-ranging).  It's on webtest now,
and rhabowe is set up as a GLS admin so you can test it.  You can either assume
people's roles (via gls main page, manager class list, instructor enrollment
list) or you can just outright be logged in as them (this is the only way to see
their home page and everything exactly as they would).
Comment 2 Luke Meyer 2003-08-14 12:04:37 EDT
I didn't test this far enough... needs a lot of cleanup.
Comment 3 Luke Meyer 2003-08-14 16:25:41 EDT
i pushed live the impersonation version of this, but the drilldown version will
have to wait.
Comment 4 Luke Meyer 2003-08-19 16:26:36 EDT
ok, this is now working entirely as i envisioned, and some general cleanup has
been done.  heading to webtest for sanity checking.  everything except for the
front page is based on a role that is assumed, and that role includes the user
so that the GLS user may assume other users' roles while maintaining the same
login.  the gls user can "drilldown" correctly.
Comment 5 Luke Meyer 2003-08-26 11:26:29 EDT
did the bugzilla DB revert?  I thought I'd marked all these live.  Anyway these
fixes should be live now.

Note You need to log in before you can comment on or make changes to this bug.